package com.cmvr.edge.client.service;

import cmvr.api.MicrophoneCommand;
import com.cmvr.edge.client.model.EdgeCommonVO;
import com.cmvr.edge.client.model.microphone.EdgeMicrophoneVolumeVO;

/**
 * 边缘麦克风服务接口
 * 定义了与边缘麦克风进行交互的所有方法
 * 包括获取状态、录音控制、音量控制等功能
 */
public interface EdgeMicrophoneService {
    /**
     * 获取麦克风当前状态
     */
    String getStatus(EdgeCommonVO edgeCommonVO);

    /**
     * 开始录音
     */
    String startRecord(EdgeCommonVO edgeCommonVO);

    /**
     * 停止录音
     */
    String stopRecord(EdgeCommonVO edgeCommonVO);

    /**
     * 暂停录音
     */
    void pauseRecord(EdgeCommonVO edgeCommonVO);

    /**
     * 恢复录音
     */
    void resumeRecord(EdgeCommonVO edgeCommonVO);

    /**
     * 设置麦克风音量
     */
    void setVolume(EdgeMicrophoneVolumeVO edgeMicrophoneVolumeVO);

    /**
     * 获取当前音量
     */
    int getVolume(EdgeCommonVO edgeCommonVO);
} 